Subject: [bug#35936] [PATCH] README: add Guix System configure hints

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 28 May 2019 12:34:52 +0200

Hi Robert,

thank you for the patch.

> * README: Mention default 'localstatedir' and that 'configure'
> needs to be re-run.
> ---
>  README | 3 +++
>  1 file changed, 3 insertions(+)
>
> diff --git a/README b/README
> index 296df41516..4d459c276d 100644
> --- a/README
> +++ b/README
> @@ -65,6 +65,9 @@ To do so:
>      value of the currently installed Guix (failing to do that would lead the
>      new Guix to consider the store to be empty!).
>
> +    On Guix System, this is '/var' by default. Note that you will need to
> +    re-run the 'configure' script after updating Guix System.
> +

Why would re-running the configure script be required after updating?

This section is about building Guix on a system that already has some
version of Guix to reduce the complexity of establishing a suitable
build environment.  I don’t think reconfiguring Guix System is relevant
here.

--
Ricardo